Package com.io7m.idstore.server.user_view

# Class IdUViewMain

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.io7m.idstore.server.http.IdCommonInstrumentedServlet
com.io7m.idstore.server.user_view.IdUViewAuthenticatedServlet
com.io7m.idstore.server.user_view.IdUViewMain

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public final class IdUViewMain extends IdUViewAuthenticatedServlet
The main view.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUViewMain(IdServiceDirectoryType inServices)`
  The main view.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `serviceAuthenticated(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse, IdSessionUser session)`

  ### Methods inherited from class com.io7m.idstore.server.user_view.IdUViewAuthenticatedServlet

  `database, service, services, strings, user, userId, userSession`

  ### Methods inherited from class com.io7m.idstore.server.http.IdCommonInstrumentedServlet

  `service`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdUViewMain

    public IdUViewMain(IdServiceDirectoryType inServices)
    The main view.
    Parameters:
      `inServices` - The service directory

- ## Method Details

  - ### serviceAuthenticated

    protected void serviceAuthenticated(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse, IdSessionUser session) throws Exception
    Specified by:
      `serviceAuthenticated` in class `IdUViewAuthenticatedServlet`
    Throws:
      `Exception`